package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc现场开支对象 cmc_budget_site
 * 
 * @author cmc
 * @date 2025-05-09
 */
public class CmcBudgetSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 现场开支id */
    private Long expenseId;

    /** 预算id */
    @Excel(name = "预算id")
    private String budgetId;

    /** 开支名称 */
    @Excel(name = "开支名称")
    private String name;

    /** 开支金额 */
    @Excel(name = "开支金额")
    private BigDecimal amount;

    /** 核算开支 */
    @Excel(name = "核算开支")
    private BigDecimal amountAdjust;

    public void setExpenseId(Long expenseId) 
    {
        this.expenseId = expenseId;
    }

    public Long getExpenseId() 
    {
        return expenseId;
    }
    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setAmountAdjust(BigDecimal amountAdjust) 
    {
        this.amountAdjust = amountAdjust;
    }

    public BigDecimal getAmountAdjust() 
    {
        return amountAdjust;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("expenseId", getExpenseId())
            .append("budgetId", getBudgetId())
            .append("name", getName())
            .append("amount", getAmount())
            .append("amountAdjust", getAmountAdjust())
            .append("remark", getRemark())
            .toString();
    }
}
